define Package/subversion-server/install
$(INSTALL_DIR) $(1)/usr/bin
$(CP) $(PKG_INSTALL_DIR)/usr/bin/svn{look,admin,dumpfilter,serve} $(1)/usr/bin/
+ $(INSTALL_DIR) $(1)/etc/config
+ $(INSTALL_DATA) ./files/subversion.config $(1)/etc/config/subversion
+ $(INSTALL_DIR) $(1)/etc/init.d
+ $(INSTALL_BIN) ./files/subversion.init $(1)/etc/init.d/subversion
endef
$(eval $(call BuildPackage,subversion-libs))
--- /dev/null
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2006 OpenWrt.org
+START=50
+
+start_service () {
+ local section="$1"
+ config_get path "$section" path
+ config_get port "$section" port
+
+ if [ ! -d "$path" ]; then
+ echo "The subversion repository (${path}) does not exist."
+ echo "Create a new repository and/or change the path in /etc/config/subversion"
+ echo
+ echo "Create a new subversion repository with:"
+ echo " mkdir -p /srv"
+ echo " svnadmin create --fs-type fsfs /srv/svn"
+ echo
+ echo "Changing the path using UCI (default path is: /var/local/svn):"
+ echo " uci set subversion.cfg1.path="/srv/svn""
+ echo " uci commit"
+ echo " /etc/init.d/subversion restart"
+ exit 1
+ fi
+
+ svnserve -d --listen-port ${port} -r ${path}
+}
+
+start() {
+ config_load "subversion"
+ config_foreach start_service subversion
+}
+
+stop() {
+ killall -9 svnserve
+}
+
+restart() {
+ stop
+ start
+}